<ng-container *ngIf="dispatchView; else dataAwaitedBlk" [formGroup]="step2FormGroup">
  <div class="e-bg-eblue250 eh-mt-16 eh-p-8 eh-w-100p" fxLayout="row" fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">medical_services</mat-icon>
    <span class="e-txt-eblue700">Medical History & Lifestyle</span>
  </div>
  <div class="eh-mt-16">
    Do you have any of the following conditions? (Please TICK if applicable)
  </div>
  <div fxLayout="row wrap" fxLayoutAlign="start start">
    <div *ngFor="let c of generalNutritionMedConds;" class="eh-mt-12 eh-ml-12 eh-fit" fxFlex="0 0 22%">
      <mat-checkbox class="e-mat-checkbox" [value]="c" (change)="onMedCondChkChange($event)"
        [checked]="initialMedicalConditions[c]">
        {{c}}
      </mat-checkbox>
    </div>
    <div class="eh-mt-12 eh-ml-12 eh-fit" fxFlex="0 0 22%">
      <mat-checkbox class="e-mat-checkbox" (change)="onOtherMedCondChkChange($event)"
        [checked]="otherMedicalConditionsFC.value">
        Other
      </mat-checkbox>
    </div>
  </div>
  <div class="eh-ml-12">
    <mat-form-field class="eh-w-100p" floatLabel="never">
      <mat-label>&nbsp;If any other conditions, please specify:</mat-label>
      <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
        formControlName="otherMedicalConditions" class="eh-hide-scrollbars"></textarea>
    </mat-form-field>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Are you taking any medication?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="onMedication">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If so, please list and state the reasons</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="medicationDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div *ngIf="isFemale" class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Do you consider your menstrual cycle regular?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="isMCycleRegular">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If not, please specify</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="mCycleDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Do you drink alcohol?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="doesAlcohol">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If yes, please specify type, frequency in a week and quantity each time</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="alcoholDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Do you smoke?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="doesSmoking">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If so, please specify the number of cigarettes per day</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="smokingDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Do you chew tobacco?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="doesTobacco">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If yes, please specify how much per day</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="tobaccoDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="e-bg-eblue250 eh-mt-16 eh-p-8 eh-w-100p" fxLayout="row" fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">directions_run</mat-icon>
    <span class="e-txt-eblue700">Exercise</span>
  </div>
  <div class="eh-mt-16">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Do you exercise regularly?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="doesExercise">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
  </div>
  <ng-container *ngIf="doesExerciseFC.value" formArrayName="exerciseDesc">
    <div class="eh-mt-16 eh-ml-12" fxLayout="row" fxLayoutAlign="start start">
      <span class="eh-txt-12 e-txt-mat-grey600 e-brd-btm-matgrey400" fxFlex="0 0 25%">Exercise Type</span>
      <span class="eh-txt-12 e-txt-mat-grey600 e-brd-btm-matgrey400" fxFlex="0 0 25%">Days per Week</span>
      <span class="eh-txt-12 e-txt-mat-grey600 e-brd-btm-matgrey400" fxFlex="0 0 25%">Duration (mins)</span>
      <span class="eh-txt-12 e-txt-mat-grey600 e-brd-btm-matgrey400" fxFlex="0 0 25%">Intensity</span>
    </div>
    <ng-container *ngFor="let e of exerciseDescFA.controls; let i = index;">
      <div class="eh-mt-4 eh-ml-12 eh-txt-12" [formGroupName]="i" fxLayout="row" fxLayoutAlign="start start">
        <span fxFlex="0 0 25%">{{e.value.name}}</span>
        <div fxFlex="0 0 25%">
          <input class="e-brd-btm-matgrey400" type="number" formControlName="daysPerWeek">
        </div>
        <div fxFlex="0 0 25%">
          <input class="e-brd-btm-matgrey400" type="number" formControlName="duration">
        </div>
        <div fxFlex="0 0 25%">
          <mat-select class="eh-w-160" formControlName="intensity">
            <mat-option value="Low">Low</mat-option>
            <mat-option value="Moderate">Moderate</mat-option>
            <mat-option value="High">High</mat-option>
          </mat-select>
        </div>
      </div>
    </ng-container>
  </ng-container>
  <div class="e-bg-eblue250 eh-mt-20 eh-p-8 eh-w-100p" fxLayout="row" fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">monitor_weight</mat-icon>
    <span class="e-txt-eblue700">Weight</span>
  </div>
  <div class="eh-mt-16">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-240">Have you tried to lose weight before?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="triedLosingWeight">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-8" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
  </div>
  <div *ngIf="triedLosingWeightFC.value" fxLayout="row wrap" fxLayoutAlign="start start">
    <div *ngFor="let t of weightLossTypes;" class="eh-mt-12 eh-ml-12 eh-fit" fxFlex="0 0 30%">
      <mat-checkbox class="e-mat-checkbox" [value]="t" (change)="onWeightLossTypeChkChange($event)"
        [checked]="initialWeightLossAttempts[t]">
        {{t}}
      </mat-checkbox>
    </div>
  </div>
  <div *ngIf="isSportsPerson" class="e-bg-eblue250 eh-mt-20 eh-p-8 eh-w-100p" fxLayout="row"
    fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">sports_cricket</mat-icon>
    <span class="e-txt-eblue700">Sports</span>
  </div>
  <div *ngIf="isSportsPerson" class="eh-mt-16 eh-w-100p" fxLayout="column" fxLayoutAlign="start start">
    <span>Which sport do you play:</span>
    <input class="eh-w-100p eh-mt-6 e-brd-btm-matgrey400" type="text" formControlName="sportName">
  </div>
  <div *ngIf="isSportsPerson" class="eh-mt-16 eh-w-100p" fxLayout="column" fxLayoutAlign="start start">
    <span>Any sports injury?</span>
    <input class="eh-w-100p eh-mt-6 e-brd-btm-matgrey400" type="text" formControlName="sportInjury">
  </div>
  <div *ngIf="isSportsPerson" class="eh-mt-16 eh-w-100p" fxLayout="column" fxLayoutAlign="start start">
    <span>Any other specific concerns:</span>
    <input class="eh-w-100p eh-mt-6 e-brd-btm-matgrey400" type="text" formControlName="sportConcerns">
  </div>
  <div class="e-bg-eblue250 eh-mt-20 eh-p-8 eh-w-100p" fxLayout="row" fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">restaurant</mat-icon>
    <span class="e-txt-eblue700">Nutrition</span>
  </div>
  <div class="eh-mt-12 eh-w-240">Choice of diet</div>
  <div fxLayout="row wrap" fxLayoutAlign="start start">
    <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="mealCategory">
      <mat-radio-button *ngFor="let m of mealCategories;" class="eh-ml-12 eh-mt-8" [value]="m">
        {{m}}
      </mat-radio-button>
    </mat-radio-group>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-300">How would you describe your eating habits?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="eatingHabits">
        <mat-radio-button value="Good">Good</mat-radio-button>
        <mat-radio-button class="eh-ml-12" value="Fair">Fair</mat-radio-button>
        <mat-radio-button class="eh-ml-12" value="Poor">Poor</mat-radio-button>
      </mat-radio-group>
    </div>
  </div>
  <div class="eh-mt-16">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-300">Do you currently take any vitamins or dietary supplements?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="onSupplements">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-22" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If so, please list and state the reasons</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="1.2" cdkAutosizeMaxRows="5"
          formControlName="supplementsDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="e-bg-eblue250 eh-mt-16 eh-p-8 eh-w-100p" fxLayout="row" fxLayoutAlign="start center">
    <mat-icon class="e-mat-icon e-mat-icon--2 eh-mr-8 e-txt-eblue700">reorder</mat-icon>
    <span class="e-txt-eblue700">General</span>
  </div>
  <div class="eh-mt-12">
    <div fxLayout="row" fxLayoutAlign="start center">
      <span class="eh-w-300">Do you have any other concerns or issues related to your health and diet which have not
        been covered in this questionnaire?</span>
      <mat-radio-group class="e-mat-radio-group eh-ml-12" formControlName="hasOtherConcerns">
        <mat-radio-button [value]="true">Yes</mat-radio-button>
        <mat-radio-button class="eh-ml-22" [value]="false">No</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="eh-ml-12">
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <mat-label>&nbsp;If so, please list and state the reasons</mat-label>
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="5" cdkAutosizeMaxRows="5"
          formControlName="otherConcernsDesc" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
    <div class="eh-w-100p" fxLayout="column" fxLayoutAlign="start center">
      <span class="eh-w-100p">
        Describe below a typical day's routine - specific to your food intake (with timings & quantities) and exercise
        schedule:
      </span>
      <mat-form-field class="eh-w-100p" floatLabel="never">
        <textarea matInput cdkTextareaAutosize cdkAutosizeMinRows="10" cdkAutosizeMaxRows="10"
          formControlName="typicalDayRoutine" class="eh-hide-scrollbars"></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="eh-mt-20">
    <mat-divider></mat-divider>
  </div>
  <div class="eh-mt-20" fxLayout="row" fxLayoutAlign="space-between start">
    <button mat-stroked-button (click)="onSubscribeLater()">Save & Subscribe Later</button>
    <button mat-flat-button (click)="onNext()" [disabled]="!isStep2FormValid()"
      [ngClass]="!isStep2FormValid() ? 'e-mat-button e-mat-button--eblue400 eh-csr-dsb' : 'e-mat-button e-mat-button--eblue400'">
      Save & Next
    </button>
  </div>
</ng-container>
<ng-template #dataAwaitedBlk>
  <div class="e-spinner">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>